//<c>   Copyright 1987-1999 by Gerry J. Danen; all rights reserved.

//<t>   Pack a dBase III File

#include"db_util.h"

#define pgTITL_ "Pack dBASE III Data Files"


//              ***** GLOBAL VARIABLES *****

UCHAR           dbfspec[ FS_LEN ] ;
extern  INT16   dbc_error ;

//              ***** END OF GLOBAL VARIABLES *****


void    do_help()
{
    fprintf( stderr, "\nUsage:\t\t%s dbf_file\n\n\twhere\tdbf_file is a legal dBASE III file\n", get_global_program_name() );
    exit( 99 );
}


void    main( int argc, char *argv[] )
{
    INT16       pack_ret ;
    RECNUM      orig, copied ;

    tt_init( SHAREWARE_VERSION, 0, pgVERS_, pgTITL_, pgCOPR_ );
    logon(1);

    if ( argc != 2 )
        do_help();
    st_cpy( dbfspec, argv[1], FS_LEN );
    strupr ( dbfspec );
    fprintf( stderr, "Packing file %s\nPlease wait...", dbfspec );
    pack_ret = pack_dbf_file( dbfspec, &dbc_error, &orig, &copied );
    if ( pack_ret )
    {
        fprintf( stderr, "\nCould not pack file %s\a\nPack error %d/%d\n", dbfspec, pack_ret, dbc_error );
        exit( 2 );
    }
    fprintf( stderr, "\rInput file %ld records; %ld records copied; %ld records dropped.\n", orig, copied, (orig - copied) );
    exit( 0 );
}
